package com.agilecontrol;

import cn.lifecycle.cron.annotation.EnableDynamicCron;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jooq.JooqAutoConfiguration;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.core.annotation.Order;

@Order(1)
@ServletComponentScan
@MapperScan({"com.agilecontrol.ucenter.mapper", "com.agilecontrol.ops.mapper", "com.agilecontrol.message.mapper"})
@SpringBootApplication(
   exclude = {JooqAutoConfiguration.class}
)
@EnableDynamicCron
public class LeapApplication {

   public static void main(String[] args) {
      SpringApplication.run(LeapApplication.class, args);
   }
}
